﻿using System.ComponentModel;
using System.Windows.Input;

namespace CommandAndEnum
{
    class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            ContextCommand = new DelegateCommand<Direction>(OnContextMenu);
        }

        public ICommand ContextCommand { get; private set; }

        string _notification;
        public string Notification
        {
            get { return _notification; }
            set { _notification = value; RaisePropertyChanged("Notification"); }
        }

        private void OnContextMenu(Direction d)
        {
            Notification = "You picked " + d;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }


    }
}
